%define DATE 20010212

Name: slashdoc
Summary: The base /doc package
Version: 0.%{DATE}
Release: 1
Copyright: GPL
Group: Utilities/System
Source: slashdoc-%{DATE}.tar.gz
BuildRoot: /tmp/slashdoc-buildroot
BuildArch: noarch
URL: http://em.ca/~bruceg/slashdoc/
Packager: Bruce Guenter <bruceg@em.ca>
Requires: sh-utils
Requires: fileutils
Requires: findutils

%description
This package contains a textual browser script for /doc called
"slashdoc".  To use, simply type "slasdoc topic".

Also contained is slashdoc-merge, which is to be executed after any /doc
documentation package is installed.

%prep
%setup -n slashdoc-%{DATE}

%build

%install
rm -fr $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/doc/{host,merge}
touch $RPM_BUILD_ROOT/doc/{cfunctions,commands,fileformats,packages}.html

install -d $RPM_BUILD_ROOT%{_bindir}
install slashdoc* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
slashdoc-merge

%files
%defattr(-,root,root)
%{_bindir}/slashdoc*
%dir /doc
%dir /doc/host
%dir /doc/merge
%ghost %config(missingok,noreplace) /doc/*.html
